
// Persistence of Vision Ray Tracer Scene Description File
// File: Backdrop.pov
// Vers: 3.00e Watcom Win32
// Desc: Planet, moon, and starry sky
// Date: October 12, 1996
// Auth: Sonya Roberts
// Note: SUB-FILE of objects - Use with InOrbit.pov

#if (InsertStarrySky=True)
	#declare StarrySky=
	object {
		sphere {
			<0,0,0>,25000
			hollow
			texture{Stars	scale <500,500,500>}
		}
	}
#end

#if (InsertPlanet=True)
	#declare Planet=
	object {
		sphere {<0,0,0>,5500}
		texture {Terrain	scale <700,700,700>}
		rotate x*25
	}
#end

#if (InsertCloudLayer=True)
	#declare CloudLayer=
	union {
		object {
			sphere {<0,0,0>,5603}
			texture {Cloudy		rotate z*45}
			finish {ambient .15}
		}
		object {
			sphere {<0,0,0>,5602}
			texture {Cloudy		rotate z*45}
			finish {ambient .1}
		}
		object {
			sphere {<0,0,0>,5601}
			texture {Cloudy		rotate z*45}
			finish {ambient .05}
		}
		object {
			sphere {<0,0,0>,5600}
			texture {Cloudy		rotate z*45}
			finish {ambient 0}
		}
	}
#end

#if (InsertFullMoon=True)
	#declare FullMoon=
	object {
		sphere {<0,0,0>,800}
		texture{Moon	scale <300,300,300>}
	}
#end


